/* Assume that L^(j)(k/2) != 0 for some j < N. */
Lfunorderzero(Ldata, N = 6) =
{ my(v, z, B = getlocalbitprec());

  z = Lfun(Ldata, Ldata.k / 2 + 'x + O('x^N));
  v = valuation(round(2^(B/2) * z), 'x);
  return ([v, polcoef(z, v)]);
}
