/* Z is from Polroots() */
Prodaux(Z) =
{ my(S = 1.);

  for (i = 1, #Z,
    my([z, ct, rr] = Z[i], g = gamma(1 - z));
    if (rr == 2, g = norm(g));
    S *= g^ct);
  return (S);
}
/* F an exact rational function, compute prod_{n>=1} F(n). */
Prodrat(F) =
{ my(P = numerator(F), Q = denominator(F));

  if (poldegree(P - Q) >= poldegree(Q) - 1,
    error("divergent product"));
  return (Prodaux(Polroots(Q)) / Prodaux(Polroots(P)));
}
