/* Monien summation using Gaussian integration. */
SumMonienGaussinit(N = 0) =
{ my(B = getlocalbitprec(), X, W);

  localbitprec(32);
  my(c1 = 1 - log(2), c2 = log(2) / 2);
  N = max(N, ceil(Solvemullog(c1, c2 * B))) + 1;
  localbitprec(B + 32);
  [X, W] = IntGaussinit(m -> zeta([2..2*m+2]), , N);
  X = vector(#X, j, 1 / X[j]);
  W = vector(#X, j, W[j] * X[j]^2);
  return (bitprecision([X, W], B + 32));
}

SumMonienGauss(f, XW = 0) =
{
  if (type(XW) != "t_VEC", XW = SumMonienGaussinit(XW));
  return (SumXW(f, XW));
}
