ZetaHardy(T, D = 1) =
{ my(B = getlocalbitprec(), s = 1/2 + I * T, S, Z, L);

  Z = if (D == 1 && T > 12 * B, ZetaRiemannSiegel(s),
                                Zetafast(s, D));
  if (!Z, return (0.));
  S = if (D < 0, s + 1, s) / 2; /* (s + a) / 2 */
  L = -S * log(Pi) + lngamma(S) + (s/2) * log(abs(D)) + log(Z);
  return (exp((T / 2) * atan(2 * T) + real(L)) * cos(imag(L))
          * (1/4 + T^2)^(sign(D) / 8));
}
