/* Given a continued fraction CF output by
 * the Quodif program, evaluate its first N terms at t. */
CFeval(CF, N, t)=
{ my(S = 0.);

  if (N > #CF, error("short continued fraction"));
  forstep (j = N, 1, -1, S = CF[j] * t / (1 + S));
  return (S);
}
