/* Compute f'(a) numerically. */
Diff(f, a) =
{ my(B = getlocalbitprec(), B1 = (3*B) \ 2, h, S);

  localbitprec(B1);
  h = 2^(-B\2);
  a = bitprecision(a, B1);
  S = (f(a + h) - f(a - h)) / (2*h);
  return (bitprecision(S, B));
}
