ZetaHurwitzRam(s, x) =
{ my(S);
  S = IntoscSidi(t -> frac(t) / (t + x)^(s + 1));
  return (x^(1 - s) / (s - 1) + x^(-s) - s * S);
}
ZetaRam(s) =
{ my(S = IntoscSidi(t -> frac(t) / (t + 1)^(s + 1)));
  return (s * (1 / (s - 1) - S));
}
PsiRam(x) =
{ my(S = IntoscSidi(t -> frac(t) / (t + x)^2));
  return (log(x) - 1 / x + S);
}
LngammaRam(x) =
{ my(S);
  S = IntoscSidi(t -> frac(t) / ((t + 1) * (t + x)));
  return ((x - 1) * (log(x) - 1 + S));
}
EulerRam() = 1 - IntoscSidi(t -> frac(t) / (t + 1)^2);
Log2piRam() =
{ 2 * (1 + IntoscSidi(t -> (frac(t) - 1/2) / (t + 1))); }
