/* Same assumptions as IntGaussa_oo. The parameter N
 * is a cutoff between Gaussian integration on a compact
 * interval and the use of IntGaussa_oo.*/
IntGaussa_oosplit(f, a, N, alf = [1, 2], v1 = 0, v2 = 0) =
{
  if (!v1, v1 = IntGaussa_ooinit(alf, 0));
  if (!v2, v2 = IntGaussLegendreinit());
  return (IntGaussa_oo(f, N, alf, v1)
          + IntGaussLegendresplit(f, a, N, 1, v2));
}
