/* Let chi be a Dirichlet character modulo F, given as a
 * closure. Compute L(chi,s). */
Lfunchisimple(chi, F, s) =
{ my(S = 0);

  for (r = 1, F,
    my(c = chi(r));
    if (c, S += c * ZetaHurwitz(s, r / F)));
  return (F^(-s) * S);
}
