/* E elliptic curve given by model or Cremona label. */
Lfunellcreate(E) =
{
  E = ellinit(E); my(N = ellglobalred(E)[1]);
  [n -> ellan(E, n), 0, [0, 1], 2, N, ellrootno(E), 0];
}

/* Assume F eigenform with integer coefficients. */
Lfunmfcreate(F) =
{ my([N, k] = mfparams(F), L, R, w);

  L = [n -> mfcoefs(F, n)[^1], 0, [0, 1], k, N, oo, oo];
  [R, w] = Lfunrootres(L); L[6] = w; L[7] = R; return (L);
}
