/* Given a vector c, compute the b[n] for 1 <= n <= N, where
 * c[1]z + c[2]z^2 + ... = b[1]z / (1 + b[2]z / (1 + ...)) */
Quodif(c, N = #c - 1) =
{ my(b, e, q);

  b = vector(N + 1); b[1] = c[1];
  e = vector(N);
  q = vector(N, k, c[k+1] / c[k] * 1.);
  for (j = 1, N \ 2,
    my(L = N - 2*j);
    b[2*j] = -q[1];
    for (k = 0, L, e[k+1] = e[k+2] + q[k+2] - q[k+1]);
    b[2*j+1] = -e[1];
    for (k = 0, L-1, q[k+1] = q[k+2] * e[k+2] / e[k+1]));
  if (N % 2, b[N+1] = -q[1]);
  return (b);
}
