/* Compute sum_{n >= 1} (-1)^{n-1} u(n). */
Sumaltinit() =
{ my(B = getlocalbitprec(), N, c, d, vc, bic);

  localbitprec(32);
  N = ceil(B * log(2) / log(3 + sqrt(8)));
  localbitprec(B + 32);
  d = (3 + sqrt(8))^N;
  d = (d + 1 / d) / 2; vc = vector(N); bic = -1.; c = -d;
  for (j = 0, N - 1,
    c = bic - c;
    vc[j+1] = c;
    bic *= 2 * (j + N) * (j - N) / ((2*j + 1) * (j + 1)));
  return ([N, d, vc]);
}

Sumalt(u, tab = 0) =
{ my(B = getlocalbitprec(), N, d, vc, S);

  if (!tab, tab = Sumaltinit());
  localbitprec(B + 32);
  [N, d, vc] = tab;
  S = sum(j = 1, N, vc[j] * u(j));
  return (bitprecision(S / d, B));
}
