Sumpow2(N, s) =
{ my(N3 = N \ 3, D = vectorsmall(N), F = vector(N3));
  my(f2 = 2^s, u = 1, S = 1, ks = 1);

  forstep (k = 3, sqrtint(N), 2,
    if (!D[k], forstep (j = sqr(k), N, 2 * k, D[j] = k)));
  forstep (j = exponent(N), 1, -1,
    /* u = sum_{n odd <= N / 2^j} n^s */
    forstep (k = bitor((N >> j) + 1, 1), N >> (j - 1), 2,
      ks = if (D[k], F[D[k]] * F[k / D[k]]
                   , ks * (k / (k - 2))^s);
      u += ks; if (k <= N3, F[k] = ks));
    S = u + f2 * S);
  return (S);
}
