/* F an exact rational function, compute sum_{n>=1} F(n). */
Sumrat(F) =
{ my(RD, S = 0., X = variable(F));

  if (poldegree(F) >= - 1, error("divergent sum"));
  RD = Ratdec(F);
  for (i = 1, #RD,
    my([z, ct, rr, sz] = RD[i], s = -psi(-X-z+1 + O(X^ct)));
    S += sum(k = 1, ct,
      my(t = polcoef(s, k - 1) * polcoef(sz, ct - k));
      if (rr == 2, 2 * real(t), t)));
  if (!imag(F), S = real(S));
  return (S);
}
